MagickCore: string_.h File Reference

# string_.h File Reference

`#include <stdarg.h>`
`#include <time.h>`
`#include "magick/exception.h"`

Go to the source code of this file.

## Data Structures
struct | _StringInfo
## Typedefs
typedef struct _StringInfo | StringInfo
## Functions
MagickExport char * | AcquireString (const char *)
MagickExport char ** | CloneString (char **, const char *)
MagickExport char *** | ConstantString (const char *)
MagickExport char **** | DestroyString (char *)
MagickExport char ****** | DestroyStringList (char **)
MagickExport char ******* | EscapeString (const char *, const char)
MagickExport char ******** | FileToString (const char *, const size_t, ExceptionInfo *)
MagickExport char ********* | GetEnvironmentValue (const char *)
MagickExport char *********** | StringToArgv (const char *, int *)
MagickExport char ************* | StringToList (const char *)
MagickExport char ************** | StringInfoToString (const StringInfo *)
MagickExport char *************** | StringToken (const char *, char **)
MagickExport const char * | GetStringInfoPath (const StringInfo *)
MagickExport double | StringToDouble (const char *, const double)
MagickExport long | FormatMagickSize (const MagickSizeType, char *)
MagickExport long | FormatMagickString (char *, const size_t, const char *,...) magick_attribute((format(printf
MagickExport long | FormatMagickStringList (char *, const size_t, const char *, va_list) magick_attribute((format(printf
MagickExport long | FormatMagickTime (const time_t, const size_t, char *)
MagickExport long | LocaleCompare (const char *, const char *)
MagickExport long | LocaleNCompare (const char *, const char *, const size_t)
MagickExport MagickBooleanType | ConcatenateString (char **, const char *)
MagickExport MagickBooleanType | SubstituteString (char **, const char *, const char *)
MagickExport int | CompareStringInfo (const StringInfo *, const StringInfo *)
MagickExport size_t | ConcatenateMagickString (char *, const char *, const size_t)
MagickExport size_t | CopyMagickString (char *, const char *, const size_t)
MagickExport size_t | GetStringInfoLength (const StringInfo *)
MagickExport StringInfo * | AcquireStringInfo (const size_t)
MagickExport StringInfo ** | CloneStringInfo (const StringInfo *)
MagickExport StringInfo *** | ConfigureFileToStringInfo (const char *)
MagickExport StringInfo **** | DestroyStringInfo (StringInfo *)
MagickExport StringInfo ***** | FileToStringInfo (const char *, const size_t, ExceptionInfo *)
MagickExport StringInfo ****** | SplitStringInfo (StringInfo *, const size_t)
MagickExport StringInfo ******* | StringToStringInfo (const char *)
MagickExport unsigned char * | GetStringInfoDatum (const StringInfo *)
MagickExport void | ConcatenateStringInfo (StringInfo *, const StringInfo *)
MagickExport void | LocaleLower (char *)
MagickExport void | LocaleUpper (char *)
MagickExport void | PrintStringInfo (FILE *file, const char *, const StringInfo *)
MagickExport void | ResetStringInfo (StringInfo *)
MagickExport void | SetStringInfo (StringInfo *, const StringInfo *)
MagickExport void | SetStringInfoDatum (StringInfo *, const unsigned char *)
MagickExport void | SetStringInfoLength (StringInfo *, const size_t)
MagickExport void | SetStringInfoPath (StringInfo *, const char *)
MagickExport void | StripString (char *)

## Typedef Documentation

typedef struct _StringInfo StringInfo

## Function Documentation

MagickExport char* AcquireString | ( | const char * |  | ) |

MagickExport StringInfo* AcquireStringInfo | ( | const | size_t | ) |

MagickExport char* * CloneString | ( | char ** | ,
|  | const char * |  |
| ) |  |  |

MagickExport StringInfo* * CloneStringInfo | ( | const StringInfo * |  | ) |

MagickExport int CompareStringInfo | ( | const StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

MagickExport size_t ConcatenateMagickString | ( | char * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport MagickBooleanType ConcatenateString | ( | char ** | ,
|  | const char * |  |
| ) |  |  |

MagickExport void ConcatenateStringInfo | ( | StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

MagickExport StringInfo* * * ConfigureFileToStringInfo | ( | const char * |  | ) |

MagickExport char* * * ConstantString | ( | const char * |  | ) |

MagickExport size_t CopyMagickString | ( | char * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport char* * * * DestroyString | ( | char * |  | ) |

MagickExport StringInfo* * * * DestroyStringInfo | ( | StringInfo * |  | ) |

MagickExport char* * * * ** DestroyStringList | ( | char ** |  | ) |

MagickExport char* * * * ** * EscapeString | ( | const char * | ,
|  | const | char |
| ) |  |  |

MagickExport char* * * * ** * * FileToString | ( | const char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport StringInfo* * * * * FileToStringInfo | ( | const char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport long FormatMagickSize | ( | const | MagickSizeType,
|  | char * |  |
| ) |  |  |

MagickExport long FormatMagickString | ( | char * | ,
|  | const | size_t,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

MagickExport long FormatMagickStringList | ( | char * | ,
|  | const | size_t,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

MagickExport long FormatMagickTime | ( | const | time_t,
|  | const | size_t,
|  | char * |  |
| ) |  |  |

MagickExport char* * * * ** * * * GetEnvironmentValue | ( | const char * |  | ) |

MagickExport unsigned char* GetStringInfoDatum | ( | const StringInfo * |  | ) |

MagickExport size_t GetStringInfoLength | ( | const StringInfo * |  | ) |

MagickExport const char* GetStringInfoPath | ( | const StringInfo * |  | ) |

MagickExport long LocaleCompare | ( | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void LocaleLower | ( | char * |  | ) |

MagickExport long LocaleNCompare | ( | const char * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void LocaleUpper | ( | char * |  | ) |

MagickExport void PrintStringInfo | ( | FILE * | file,
|  | const char * | ,
|  | const StringInfo * |  |
| ) |  |  |

MagickExport void ResetStringInfo | ( | StringInfo * |  | ) |

MagickExport void SetStringInfo | ( | StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

MagickExport void SetStringInfoDatum | ( | StringInfo * | ,
|  | const unsigned char * |  |
| ) |  |  |

MagickExport void SetStringInfoLength | ( | StringInfo * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void SetStringInfoPath | ( | StringInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport StringInfo* * * * * * SplitStringInfo | ( | StringInfo * | ,
|  | const | size_t |
| ) |  |  |

MagickExport char* * * * ** * * * ** ** * StringInfoToString | ( | const StringInfo * |  | ) |

MagickExport char* * * * ** * * * ** StringToArgv | ( | const char * | ,
|  | int * |  |
| ) |  |  |

MagickExport double StringToDouble | ( | const char * | ,
|  | const | double |
| ) |  |  |

MagickExport char* * * * ** * * * ** ** * * StringToken | ( | const char * | ,
|  | char ** |  |
| ) |  |  |

MagickExport char* * * * ** * * * ** ** StringToList | ( | const char * |  | ) |

MagickExport StringInfo* * * * * * * StringToStringInfo | ( | const char * |  | ) |

MagickExport void StripString | ( | char * |  | ) |

MagickExport MagickBooleanType SubstituteString | ( | char ** | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |